org.apache.lucene.search.spell

## Class LuceneDictionary

- java.lang.Object
- - org.apache.lucene.search.spell.LuceneDictionary

- All Implemented Interfaces:
    Dictionary

      public class LuceneDictionary
      extends Object
      implements Dictionary

  Lucene Dictionary: terms taken from the given field of a Lucene index.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneDictionary(IndexReader reader, String field)` Creates a new Dictionary, pulling source terms from the specified `field` in the provided `reader`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputIterator` | `getEntryIterator()` Returns an iterator over all the entries

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneDictionary

          public LuceneDictionary(IndexReader reader,
                                  String field)

      Creates a new Dictionary, pulling source terms from the specified `field` in the provided `reader`

  - ### Method Detail

    - #### getEntryIterator

          public final InputIterator getEntryIterator()
                                               throws IOException

      Description copied from interface: `Dictionary`
      Returns an iterator over all the entries
      Specified by:
        `getEntryIterator` in interface `Dictionary`
      Returns:
        Iterator
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.